Imports System.Runtime.Serialization

Namespace Methods.IDB.GetAttributeValue

    <Serializable>
    <DataContract>
    Public Class GetAttributeValueResponse
        Inherits Messages.BaseResponse

        <DataMember>
        Public Property ObjectId As Long
        <DataMember>
        Public Property Value As Object

        Public Sub New(pObjectId As Long, pValue As Object)
            MyBase.New()
            ObjectId = pObjectId
            Value = pValue
        End Sub

        Public Sub New(pException As Exception, Optional pDetails As String = "")
            MyBase.New(pException, pDetails)
        End Sub
    End Class

End Namespace

